Package org.apache.any23.validator

## Interface ValidationReport

- All Superinterfaces:
    `Serializable`
  All Known Implementing Classes:
    `DefaultValidationReport`, `EmptyValidationReport`

      public interface ValidationReport
      extends Serializable

  This class contains the report of a validation performed by the `Validator` class.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Davide Palmisano (palmisano@fbk.eu)
  See Also:
    `Validator`, `ValidationReportBuilder`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ValidationReport.Error` | An error occurred while performing the validation process.
    `static class` | `ValidationReport.FixError` | An error occurred while executing a fix.
    `static class` | `ValidationReport.Issue` | An issue found during the validation process.
    `static class` | `ValidationReport.IssueLevel` | Defines the different issue levels.
    `static class` | `ValidationReport.RuleActivation` | This class describes the activation of a rule.
    `static class` | `ValidationReport.RuleError` | An error occurred while executing a rule.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ValidationReport.Error>` | `getErrors()` | Returns the list of detected errors.
    `List<ValidationReport.Issue>` | `getIssues()` | Returns the list of detected issues.
    `List<ValidationReport.RuleActivation>` | `getRuleActivations()` | Returns the list of activated rules.

- - ### Method Detail

    - #### getIssues

          List<ValidationReport.Issue> getIssues()

      Returns the list of detected issues.
      Returns:
        list of detected issues.

    - #### getRuleActivations

          List<ValidationReport.RuleActivation> getRuleActivations()

      Returns the list of activated rules.
      Returns:
        list of activated rules.

    - #### getErrors

          List<ValidationReport.Error> getErrors()

      Returns the list of detected errors.
      Returns:
        list of detected errors.